Name: vcdimager
Version: 0.7.12
Release: alt3

Summary: VideoCD (pre-)mastering and ripping tool
Group: Video
License: GPL
Url: http://%name.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.vcdimager.org/pub/%name/%name-%version.tar.gz
Patch: %name-0.7.12-alt-kernel_version.patch

# Automatically added by buildreq on Sat Nov 30 2002
BuildRequires: gcc-c++ glibc-devel-static help2man libpopt-devel libxml2-devel tetex-core tetex-dvips tetex-latex zlib-devel

%description
GNU VCDImager is a full-featured mastering suite for authoring,
disassembling and analyzing Video CD's and Super Video CD's.

The core functionality consists of directly making Video CD
BIN/CUE-style CD images from mpeg files, which (after being written to
CDR(W) media) can be played on standalone VCD players or DVD players
and on computers running GNU/Linux, MacOS, Win32 or any other OS
capable of accessing VCD's. BIN/CUE images can be burned with [cdrdao]
(please use a recent version, since older ones do not support
BIN/CUE-style cuesheets) under GNU/Linux (and other supported
platforms by cdrdao, e.g. freeBSD, Irix, Solaris and even win32)

vcdimager   generates simple pbc-less VCD and SVCD disc images directly
vcddebug    Analyzing tool and report generator for VCD and SVCD discs.
vcdxgen     XML VCD-description generator
vcdxbuild   Builds a VCD/SVCD according to a supplied XML control file.
vcdxrip     Reverses the process for a given VCD or SVCD disc.
vcdxminfo   Debugging tool for displaying MPEG stream properties.
cdxa2mpeg   Simple tool for converting RIFF CDXA file to plain mpeg.

%prep
%setup -q
%patch -p1

%build
%configure --disable-xmltest
%make_build
%make_build -C docs vcdimager.ps.gz

%install
%makeinstall

%post
%install_info %name.info

%postun
%uninstall_info %name.info

%files
%_bindir/cdxa2mpeg
%_bindir/vcddebug
%_bindir/vcdimager
%_bindir/vcdx*
%_infodir/*.info*
%_man1dir/*
%doc AUTHORS BUGS FAQ TODO ChangeLog NEWS README THANKS docs/vcdimager.ps.gz

%changelog
* Fri Nov 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.12-alt3
- fixed %%build to enable XML frontends.

* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.12-alt2
- Rebuild with gcc-3.2. 

* Sun Jan 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.12-alt1
- 0.7.12.

* Thu Jan 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt1
- First build for Sisyphus. 

